## ros-lunar-imu-pipeline 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(imu_pipeline)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-lunar-imu-pipeline (0.2.3-0stretch) stretch; urgency=high

  * Updated maintainers.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 05:00:00 -0000

ros-lunar-imu-pipeline (0.2.2-0stretch) stretch; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 05:00:00 -0000

ros-lunar-imu-pipeline (0.2.1-0stretch) stretch; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-lunar-imu-pipeline (0.2.0-0stretch) stretch; urgency=high

  * Remove Chad as a maintainer
  * Refactor imu_pipeline into a metapackage
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-lunar-imu-pipeline (0.1.3-0stretch) stretch; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 30 Mar 2014 04:00:00 -0000

ros-lunar-imu-pipeline (0.1.1-0stretch) stretch; urgency=high

  * Added tool to null out gyro bias based on cmd_vel or odom.
  * Merge branch 'hydro-devel' of https://github.com/ros-perception/imu_pipeline into hydro-devel
  * Added imu_integrator.
  * Merge pull request #2 <https://github.com/ros-perception/imu_pipeline/issues/2> from ros-perception/groovy-devel
    Updated packaged name to imu_pipeline
  * Updated packaged name to imu_pipeline
  * Catkinized, updated for Groovy.
  * Initial github commit
  * Initial commit

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-lunar-imu-pipeline
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://ros.org/wiki/imu_pipeline
Standards-Version: 3.9.2

Package: ros-lunar-imu-pipeline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-imu-processors, ros-lunar-imu-transformer
Description: imu_pipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-imu-pipeline//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
